BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 06-22-2005, 09:33 AM   #1 (permalink)
Knows Where the Search Button Is
 
Join Date: Apr 2005
Model: 8700
Carrier: Swisscom EDGE
Posts: 24
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default Problem applying SP1 for BES v4

Please Login to Remove!

Hi,

I install a lot of BES v4, for Domino and Exchange messaging solutions, and find this product very handy and working perfectly.

BUT at 3 of my clients (2 on Domino, 1 on Exchange), I have an error when applying the service pack 1, the error message says that it cannot upgrade the DB. The only common point is that they all 3 use a remote SQL database.

All the other installations I did are with local MSDE database, and the SP1 was just applied successfully !!!!

I checked all rights, permissions on th eDB, and everything seems to be OK. Is that a bug, or do I do something wrong ?

Any help appreciated !
Offline  
Old 06-27-2005, 12:21 PM   #2 (permalink)
New Member
 
Join Date: Jun 2005
Model: 7280
Carrier: Cingular
Posts: 7
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default Not surprised.

I seriously doubt RIM tests upgrades against remote SQL installations. I've never had one work without calling support.

The trick seems to be to run the database upgrade *on the SQL server*. If memory serves, the SP1 executable is just a self-extractiong zip file. Use another unzipper to extract all the files, and copy the "database" directory over to your SQL server. Modify the ini file to perform upgrade. I think the procedure is documented in the 3.6 -> 4 upgrade instructions.

!!!! Backup your database first !!!

Also, you may have to create the database paths on the BES server. In other words, if your database files are in C:\MSQSL\Data on the SQL server, create that same path on the BES server.
Offline  
Old 06-27-2005, 02:41 PM   #3 (permalink)
CrackBerry Addict
 
rsun's Avatar
 
Join Date: Oct 2004
Location: Delaware, USA
Model: 8320
Carrier: at&t/T-Mobile/Verizon
Posts: 747
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

We had this problem, and what we found is that we needed to be a "sa" equivalent and it worked.
__________________
Richard Sun
[email address]
Offline  
Old 06-30-2005, 10:32 PM   #4 (permalink)
Thumbs Must Hurt
 
Join Date: Jun 2005
Model: 8320
Carrier: T-Mobile
Posts: 108
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

I assigned the besadmin user id with sa role rights. Now when I attempt to upgrade it just prompts for remote sql or local MSDE and then continues on with the install. Before I assigned the besadmin user id with sa role rights I would be prompted with the option for remote sql or local msde and I choose remote sql and would get prompted with additional info such as server name, sa password, etc. Of course, I cancelled the install because I want to be sure the remote sql bes database is being upgraded. Is this normal? What does it take to install this stinkin sp1 for bes 4.0?
Offline  
Old 07-01-2005, 03:14 PM   #5 (permalink)
Thumbs Must Hurt
 
Join Date: Jun 2005
Model: 8320
Carrier: T-Mobile
Posts: 108
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Well, anyways, it worked now - looks like giving the besadmin user if more rights to the database works. I also installed hotfix 2 and the XML parser update with no issues.
Offline  




Copyright 2004-2016 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.